# ddoc7

- `E1`

  #### Declaration

  `enum `E1`: int;`

  my enum

  - `A`

    #### Declaration

    ``A``

    element a

  - `B`

    #### Declaration

    ``B``

    element b

- `E2`

  #### Declaration

  `enum `E2`: int;`

  my enum

  - `A`

    #### Declaration

    ``A``

    element a

  - `B`

    #### Declaration

    ``B``

    element b

- `E3`

  #### Declaration

  `enum `E3`: int;`

  my enum

  - `A`

    #### Declaration

    ``A``

    element a

  - `B`

    #### Declaration

    ``B``

    element b

- `E4`

  #### Declaration

  `enum `E4`: int;`

  my enum

  - `A`

    #### Declaration

    ``A``

    element a

  - `B`

    #### Declaration

    ``B``

    element b

- `E5`

  #### Declaration

  `enum `E5`: int;`

  my enum

  - `A`

    #### Declaration

    ``A``

    element a

  - `B`

    #### Declaration

    ``B``

    element b

- `foo`

  #### Declaration

  `void `foo`();`

  Some doc

- `bar`

  #### Declaration

  `alias `bar` = foo;`

  More doc

- `C`

  #### Declaration

  `abstract class `C`;`

  asdf

  - `foo`

    #### Declaration

    `abstract void `foo`();`

    Some doc